<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::Tile Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1Tile.html">Tile</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classgg_1_1Tile-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::Tile Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Tile_8hpp_source.html">Tile.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::Tile:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1Tile.png" usemap="#gg::Tile_map" alt=""/>
  <map id="gg::Tile_map" name="gg::Tile_map">
<area href="classgg_1_1IEventSubscriber.html" alt="gg::IEventSubscriber" shape="rect" coords="208,0,337,24"/>
<area href="classgg_1_1BuildingTile.html" alt="gg::BuildingTile" shape="rect" coords="0,112,129,136"/>
<area href="classgg_1_1RoadTile.html" alt="gg::RoadTile" shape="rect" coords="139,112,268,136"/>
<area href="classgg_1_1TerrainTile.html" alt="gg::TerrainTile" shape="rect" coords="278,112,407,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad5401c7e1b74b3c556b1960d150c15f1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#ad5401c7e1b74b3c556b1960d150c15f1">draw</a> (sf::RenderTarget &amp;target, sf::RenderStates states) const override</td></tr>
<tr class="separator:ad5401c7e1b74b3c556b1960d150c15f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76d15a17d011f27adcd9defccf00f520"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a76d15a17d011f27adcd9defccf00f520">Update</a> ()</td></tr>
<tr class="separator:a76d15a17d011f27adcd9defccf00f520"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7266360d4b7b0603596252ffb1edce51"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a7266360d4b7b0603596252ffb1edce51">Tile</a> (sf::Vector2f coordinates, sf::Texture &amp;texture, std::string texture_name, unsigned rotation)</td></tr>
<tr class="separator:a7266360d4b7b0603596252ffb1edce51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e180f4be66ea12ad1e2a95a66fad2e7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a3e180f4be66ea12ad1e2a95a66fad2e7">~Tile</a> () override=0</td></tr>
<tr class="separator:a3e180f4be66ea12ad1e2a95a66fad2e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ccfd1b779c329f0db0434c7c84fb326"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a6ccfd1b779c329f0db0434c7c84fb326">GetAttributes</a> () -&gt; <a class="el" href="classgg_1_1Attributes.html">Attributes</a>=0</td></tr>
<tr class="separator:a6ccfd1b779c329f0db0434c7c84fb326"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5df93094d59293b454a041b1fc780b51"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a5df93094d59293b454a041b1fc780b51">GetTileType</a> () -&gt; <a class="el" href="namespacegg.html#a08ccf34451b5441314600ac46113a9f6">TileType</a>=0</td></tr>
<tr class="separator:a5df93094d59293b454a041b1fc780b51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a389b4f46707f195fa2ed2e22ec221cb6"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a389b4f46707f195fa2ed2e22ec221cb6">GetVertices</a> () -&gt; <a class="el" href="structgg_1_1TileVertices.html">TileVertices</a></td></tr>
<tr class="separator:a389b4f46707f195fa2ed2e22ec221cb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6c613329acd85d3a7ebf194ae5fa763"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#af6c613329acd85d3a7ebf194ae5fa763">GetCoordinates</a> () -&gt; sf::Vector2f</td></tr>
<tr class="separator:af6c613329acd85d3a7ebf194ae5fa763"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53d8865c694dfb8240eddce9fe1d6254"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a53d8865c694dfb8240eddce9fe1d6254">GetTexture</a> () -&gt; sf::Texture *</td></tr>
<tr class="separator:a53d8865c694dfb8240eddce9fe1d6254"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6b1fa9f1db1fb5aacb6bfb5f2984ad9"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#ad6b1fa9f1db1fb5aacb6bfb5f2984ad9">GetTextureName</a> () const -&gt; const std::string &amp;</td></tr>
<tr class="separator:ad6b1fa9f1db1fb5aacb6bfb5f2984ad9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa73c8e60689b326a699777bf379ed67f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#aa73c8e60689b326a699777bf379ed67f">SetTexture</a> (std::string &amp;)</td></tr>
<tr class="separator:aa73c8e60689b326a699777bf379ed67f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0191b303c80a99a08d039b5bf750634c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a0191b303c80a99a08d039b5bf750634c">SetCoordinates</a> (sf::Vector2f)</td></tr>
<tr class="separator:a0191b303c80a99a08d039b5bf750634c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ac25ea653262607007c15e5d68f9685"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a3ac25ea653262607007c15e5d68f9685">GetOrientation</a> () -&gt; unsigned</td></tr>
<tr class="separator:a3ac25ea653262607007c15e5d68f9685"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10ad4cf3efcbf28f9619728645dbf177"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a10ad4cf3efcbf28f9619728645dbf177">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e) override</td></tr>
<tr class="separator:a10ad4cf3efcbf28f9619728645dbf177"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1IEventSubscriber"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1IEventSubscriber')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td></tr>
<tr class="memitem:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">~IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">operator==</a> (const <a class="el" href="classgg_1_1IEventSubscriber.html">IEventSubscriber</a> &amp;) -&gt; bool</td></tr>
<tr class="separator:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">GetNumberOfSubscribedEvents</a> () const -&gt; size_t</td></tr>
<tr class="separator:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">IncrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">DecrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a44c244803f071939ab0822ec856903db">ResetNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a16878527ccba59914b345b7cf314df94"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a16878527ccba59914b345b7cf314df94">OnMouseMoved</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a16878527ccba59914b345b7cf314df94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a301a080e5cdb580c2224a9548de9d753"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a301a080e5cdb580c2224a9548de9d753">OnMousePressed</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a301a080e5cdb580c2224a9548de9d753"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d29c8525bf4ff2360d8ed2da06417a2"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a1d29c8525bf4ff2360d8ed2da06417a2">OnKeyboardReleased</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a1d29c8525bf4ff2360d8ed2da06417a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79fb964ccb4a15eafbca90b4de886c63"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a79fb964ccb4a15eafbca90b4de886c63">Align</a> ()=0</td></tr>
<tr class="separator:a79fb964ccb4a15eafbca90b4de886c63"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:aa41280d666d951b77e2b350abe440b57"><td class="memItemLeft" align="right" valign="top">sf::Texture *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#aa41280d666d951b77e2b350abe440b57">mTexture</a></td></tr>
<tr class="separator:aa41280d666d951b77e2b350abe440b57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a716d8b8c491751d505c16efdfdb09ffd"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a716d8b8c491751d505c16efdfdb09ffd">mCoordinates</a></td></tr>
<tr class="separator:a716d8b8c491751d505c16efdfdb09ffd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac25ae0051a743d6d2268055b9b2a80f7"><td class="memItemLeft" align="right" valign="top">sf::Sprite&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#ac25ae0051a743d6d2268055b9b2a80f7">mSprite</a></td></tr>
<tr class="separator:ac25ae0051a743d6d2268055b9b2a80f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2075c2d7f3e48756092e2ffc4285119"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#ab2075c2d7f3e48756092e2ffc4285119">mTextureName</a></td></tr>
<tr class="separator:ab2075c2d7f3e48756092e2ffc4285119"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f5447e844dced086af932cd654624b8"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a1f5447e844dced086af932cd654624b8">mRotation</a> = 0</td></tr>
<tr class="separator:a1f5447e844dced086af932cd654624b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7266360d4b7b0603596252ffb1edce51" name="a7266360d4b7b0603596252ffb1edce51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7266360d4b7b0603596252ffb1edce51">&#9670;&nbsp;</a></span>Tile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::Tile::Tile </td>
          <td>(</td>
          <td class="paramtype">sf::Vector2f&#160;</td>
          <td class="paramname"><em>coordinates</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::Texture &amp;&#160;</td>
          <td class="paramname"><em>texture</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>texture_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>rotation</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3e180f4be66ea12ad1e2a95a66fad2e7" name="a3e180f4be66ea12ad1e2a95a66fad2e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e180f4be66ea12ad1e2a95a66fad2e7">&#9670;&nbsp;</a></span>~Tile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::Tile::~Tile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a79fb964ccb4a15eafbca90b4de886c63" name="a79fb964ccb4a15eafbca90b4de886c63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79fb964ccb4a15eafbca90b4de886c63">&#9670;&nbsp;</a></span>Align()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::Tile::Align </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classgg_1_1BuildingTile.html#a2dfa2cdebf498afa210e42ef5f1fffa6">gg::BuildingTile</a>, <a class="el" href="classgg_1_1RoadTile.html#a70b6f3f75aecc8a3c7a4d68e928ee7af">gg::RoadTile</a>, and <a class="el" href="classgg_1_1TerrainTile.html#a9b960122be041933be46eaa1f80824c9">gg::TerrainTile</a>.</p>

</div>
</div>
<a id="ad5401c7e1b74b3c556b1960d150c15f1" name="ad5401c7e1b74b3c556b1960d150c15f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5401c7e1b74b3c556b1960d150c15f1">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Tile::draw </td>
          <td>(</td>
          <td class="paramtype">sf::RenderTarget &amp;&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::RenderStates&#160;</td>
          <td class="paramname"><em>states</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ccfd1b779c329f0db0434c7c84fb326" name="a6ccfd1b779c329f0db0434c7c84fb326"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ccfd1b779c329f0db0434c7c84fb326">&#9670;&nbsp;</a></span>GetAttributes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual auto gg::Tile::GetAttributes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1Attributes.html">Attributes</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classgg_1_1BuildingTile.html#adb1bf688f0fa132bce941e632ea65694">gg::BuildingTile</a>, <a class="el" href="classgg_1_1RoadTile.html#a9ad4e5d521981d13a434bafe519ba647">gg::RoadTile</a>, and <a class="el" href="classgg_1_1TerrainTile.html#ac5124cacde85e3abf6c873e6570a0c0d">gg::TerrainTile</a>.</p>

</div>
</div>
<a id="af6c613329acd85d3a7ebf194ae5fa763" name="af6c613329acd85d3a7ebf194ae5fa763"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6c613329acd85d3a7ebf194ae5fa763">&#9670;&nbsp;</a></span>GetCoordinates()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Tile::GetCoordinates </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  sf::Vector2f</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3ac25ea653262607007c15e5d68f9685" name="a3ac25ea653262607007c15e5d68f9685"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ac25ea653262607007c15e5d68f9685">&#9670;&nbsp;</a></span>GetOrientation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Tile::GetOrientation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  unsigned</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a53d8865c694dfb8240eddce9fe1d6254" name="a53d8865c694dfb8240eddce9fe1d6254"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53d8865c694dfb8240eddce9fe1d6254">&#9670;&nbsp;</a></span>GetTexture()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Tile::GetTexture </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  sf::Texture *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad6b1fa9f1db1fb5aacb6bfb5f2984ad9" name="ad6b1fa9f1db1fb5aacb6bfb5f2984ad9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6b1fa9f1db1fb5aacb6bfb5f2984ad9">&#9670;&nbsp;</a></span>GetTextureName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Tile::GetTextureName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; const std::string &amp;
    </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5df93094d59293b454a041b1fc780b51" name="a5df93094d59293b454a041b1fc780b51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5df93094d59293b454a041b1fc780b51">&#9670;&nbsp;</a></span>GetTileType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual auto gg::Tile::GetTileType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="namespacegg.html#a08ccf34451b5441314600ac46113a9f6">TileType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classgg_1_1BuildingTile.html#a662c2a65a476d31a4958f9c9c1a1ef18">gg::BuildingTile</a>, <a class="el" href="classgg_1_1RoadTile.html#ac2a5ee73935690e23027dd05ddc41cd9">gg::RoadTile</a>, and <a class="el" href="classgg_1_1TerrainTile.html#a4197b667e2f2ee4237e0602f1658620b">gg::TerrainTile</a>.</p>

</div>
</div>
<a id="a389b4f46707f195fa2ed2e22ec221cb6" name="a389b4f46707f195fa2ed2e22ec221cb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a389b4f46707f195fa2ed2e22ec221cb6">&#9670;&nbsp;</a></span>GetVertices()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Tile::GetVertices </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="structgg_1_1TileVertices.html">TileVertices</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a10ad4cf3efcbf28f9619728645dbf177" name="a10ad4cf3efcbf28f9619728645dbf177"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10ad4cf3efcbf28f9619728645dbf177">&#9670;&nbsp;</a></span>OnEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Tile::OnEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1IEvent.html">IEvent</a> *&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">gg::IEventSubscriber</a>.</p>

</div>
</div>
<a id="a1d29c8525bf4ff2360d8ed2da06417a2" name="a1d29c8525bf4ff2360d8ed2da06417a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d29c8525bf4ff2360d8ed2da06417a2">&#9670;&nbsp;</a></span>OnKeyboardReleased()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::Tile::OnKeyboardReleased </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1IEvent.html">IEvent</a> *&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a16878527ccba59914b345b7cf314df94" name="a16878527ccba59914b345b7cf314df94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16878527ccba59914b345b7cf314df94">&#9670;&nbsp;</a></span>OnMouseMoved()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::Tile::OnMouseMoved </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1IEvent.html">IEvent</a> *&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a301a080e5cdb580c2224a9548de9d753" name="a301a080e5cdb580c2224a9548de9d753"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a301a080e5cdb580c2224a9548de9d753">&#9670;&nbsp;</a></span>OnMousePressed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::Tile::OnMousePressed </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1IEvent.html">IEvent</a> *&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0191b303c80a99a08d039b5bf750634c" name="a0191b303c80a99a08d039b5bf750634c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0191b303c80a99a08d039b5bf750634c">&#9670;&nbsp;</a></span>SetCoordinates()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Tile::SetCoordinates </td>
          <td>(</td>
          <td class="paramtype">sf::Vector2f&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa73c8e60689b326a699777bf379ed67f" name="aa73c8e60689b326a699777bf379ed67f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa73c8e60689b326a699777bf379ed67f">&#9670;&nbsp;</a></span>SetTexture()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Tile::SetTexture </td>
          <td>(</td>
          <td class="paramtype">std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a76d15a17d011f27adcd9defccf00f520" name="a76d15a17d011f27adcd9defccf00f520"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76d15a17d011f27adcd9defccf00f520">&#9670;&nbsp;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::Tile::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="classgg_1_1RoadTile.html#a6626a61ed9975c915342765bcb286eb5">gg::RoadTile</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a716d8b8c491751d505c16efdfdb09ffd" name="a716d8b8c491751d505c16efdfdb09ffd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a716d8b8c491751d505c16efdfdb09ffd">&#9670;&nbsp;</a></span>mCoordinates</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::Vector2f gg::Tile::mCoordinates</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1f5447e844dced086af932cd654624b8" name="a1f5447e844dced086af932cd654624b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f5447e844dced086af932cd654624b8">&#9670;&nbsp;</a></span>mRotation</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned gg::Tile::mRotation = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac25ae0051a743d6d2268055b9b2a80f7" name="ac25ae0051a743d6d2268055b9b2a80f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac25ae0051a743d6d2268055b9b2a80f7">&#9670;&nbsp;</a></span>mSprite</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::Sprite gg::Tile::mSprite</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa41280d666d951b77e2b350abe440b57" name="aa41280d666d951b77e2b350abe440b57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa41280d666d951b77e2b350abe440b57">&#9670;&nbsp;</a></span>mTexture</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::Texture* gg::Tile::mTexture</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab2075c2d7f3e48756092e2ffc4285119" name="ab2075c2d7f3e48756092e2ffc4285119"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2075c2d7f3e48756092e2ffc4285119">&#9670;&nbsp;</a></span>mTextureName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string gg::Tile::mTextureName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/tile/<a class="el" href="Tile_8hpp_source.html">Tile.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
